Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227096 - Review Request: plexus-archiver - Plexus Archiver Component
Summary: Review Request: plexus-archiver - Plexus Archiver Component
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:50 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 21:52:09 UTC
tbento: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:50:08 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-archiver-1.0-0.a6.1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-archiver-1.0-0.a6.1jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-archiver.

Comment 2 Tania Bento 2007-02-16 17:36:32 UTC
Just a couple of things:

- Remove "%define secion free".
- Source0 should be a URL.
- The license can be found in a few html pages in the following directory:
target/docs/apidocs/org/codehaus/plexus/archiver
- Remove the vendor tag.
- Remove the distribution tag.
- Some lines are more than 80 characters.
- Should gcj support be added?


Comment 3 Matt Wringe 2007-02-16 20:55:27 UTC
(In reply to comment #2)
> Just a couple of things:
> 
> - Remove "%define secion free".
Removed

> - Source0 should be a URL.
Source0 is taken from svn, so there is no download url for it. The svn
instructions are included as comments in the spec

> - The license can be found in a few html pages in the following directory:
> target/docs/apidocs/org/codehaus/plexus/archiver
These are the javadocs and are included in the javadoc subpackage. This project
does not include license specific files.

> - Remove the vendor tag.
Done

> - Remove the distribution tag.
Done

> - Some lines are more than 80 characters.
Fixed

> - Should gcj support be added?
Gcj support added

srpm and spec upload to same location as before 



Comment 4 Tania Bento 2007-02-16 22:21:44 UTC
Everything looks good to me.  Approved.

Comment 5 Tania Bento 2007-02-19 14:56:26 UTC
Actually, there's one thing that I didn't catch.  Under the "svn" command, you
need to include the "tar" command as well. 

Comment 6 Matt Wringe 2007-03-06 16:12:26 UTC
(In reply to comment #5)
> Actually, there's one thing that I didn't catch.  Under the "svn" command, you
> need to include the "tar" command as well. 

done, files changed and uploaded to same location:
https://mwringe.108.redhat.com/files/documents/175/224/plexus-archiver-1.0-0.1.a6.1jpp.1.src.rpm
https://mwringe.108.redhat.com/files/documents/175/225/plexus-archiver.spec

Comment 7 Permaine Cheung 2007-03-06 16:31:12 UTC
New Package CVS Request
=======================
Package Name: plexus-archiver
Short Description: Plexus Archiver Component
Owners: pcheung@redhat.com
Branches: 
InitialCC: 

Comment 8 Permaine Cheung 2007-03-12 21:52:09 UTC
Package built into plague. Closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.